using System;

namespace LudumDare26 {
	public static class Math3D {
		public static float GetScreenY1(float z) {
			return (int)(Program.PixelHeight / 2f / z + Program.PixelHeight / 2f);
		}
		public static float GetScreenY2(float z) {
			return (int)(-(GetScreenY1(z) - Program.PixelHeight / 2f) + Program.PixelHeight / 2f);
		}

		public static float GetScreenX(float x, float screenY) {
			float y0 = -Math.Abs(screenY - Program.PixelHeight / 2);
			return 2 * y0 * x + Program.PixelWidth / 2;
		}
	}
}

